Pegasus Mail & Mercury

Welcome to the Community for Pegasus Mail and
The Mercury Mail Transport System, the Internet's longest-serving PC e-mail system!
Welcome to Pegasus Mail & Mercury Sign in | Join | Help
Home Blogs Forums Downloads Pegasus Mail Overview Mercury Overview Wiki

Re: Mercury 4.8 Certificate Replacement Woes

  •  01-12-2019, 15:02

    • cretson is not online. Last active: 01-22-2019, 16:10 cretson
    • Top 500 Contributor
    • Joined on 08-09-2008
    • Member
    • Points 260

    Re: Mercury 4.8 Certificate Replacement Woes

    Thanks for the feedback!  I reached out to the issuing company, and they built me a .PEM with the private/public keys just as I'd done, but used a different keys (I think they re-issued my key).  Using that, I started getting a different error: 

     
    08:33:55.008: [!] OpenSSL reported errors during handshake - error queue follows:
    08:33:55.008: [!] -------------------------------------------------------------------------
    08:33:55.008: [!] error:1408A0C1:SSL routines:SSL3_GET_CLIENT_HELLO:no shared cipher
     
    I thought about upgrading the SSL engine, but thought I had read a post saying David didn't think it was wise to upgrade to the newest SSL for some reason.  Which are the "two SSL files" you refer, the OpenSSL.exe and OpenSSL.cnf?  I noticed their is a CFG file as well, I assume this is something not needed to be user-configured. 
     
    Thanks again! 
View Complete Thread

Contact | Advertise | Host provider: PraktIT | Terms of Use | Privacy Statement
Copyright © 2007-2011 David Harris / Peter Strömblad. | Pegasus Mail Home Page